Public Class USU_DiscapacidadBusinessObject
    Inherits BusinessObject(Of USU_Discapacidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New USU_DiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal entity As USU_Discapacidad)
        MyBase.New(entity)
        DbHelper = New USU_DiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal idDiscapacidad As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idDiscapacidad = idDiscapacidad
        Dim Entity_Aux As USU_Discapacidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As USU_DiscapacidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As USU_DiscapacidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New USU_DiscapacidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, USU_DiscapacidadDbHelper)
    End Function

    Public Shared Function GetListUSU_Discapacidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListUSU_DiscapacidadBySEG_Usuarios(ByVal idUsuario as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Return GetDdHelperInstance.GetListUSU_DiscapacidadBySEG_Usuarios(idUsuario, foreignLevel)
    End Function

    Public Shared Function GetListUSU_DiscapacidadBySTP_CertificacionDiscapacidad(ByVal idCertificado as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Return GetDdHelperInstance.GetListUSU_DiscapacidadBySTP_CertificacionDiscapacidad(idCertificado, foreignLevel)
    End Function

    Public Shared Function GetListUSU_DiscapacidadBySTP_Discapacidad(ByVal idTipoDiscapacidad as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Discapacidad)
        Return GetDdHelperInstance.GetListUSU_DiscapacidadBySTP_Discapacidad(idTipoDiscapacidad, foreignLevel)
    End Function

#End Region
End Class
